#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <string.h>
#include <stdlib.h>

#include "util.h"

#ifndef HAVE_STRNDUP
char *strndup (const char *s, size_t n)
{
	size_t realsize = strlen (s);
	if (n < realsize)
		realsize = n;

	char *ret = malloc (realsize + 1);
	memcpy (ret, s, realsize);
	ret[realsize] = 0;

	return ret;
}
#endif
